Bug 16843 - reg-tests-2 tests failure on make check-all
Summary: reg-tests-2 tests failure on make check-all
Status: UNCONFIRMED
Alias: None
Product: R
Classification: Unclassified
Component: Installation (show other bugs)
Version: R 3.2.4
Hardware: Other Other
: P5 minor
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2016-04-18 13:20 UTC by Nirosan
Modified: 2016-04-21 04:38 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nirosan 2016-04-18 13:20:41 UTC
Build from source. R-3.2.4
OS: Alpinelinux

* ./configure && make succeeded without any errors

* make check failed while testing reg-tests-2 because of timezone conflict

#############################Log#####################################

running regression tests ...
make[3]: Entering directory '/home/niro/test/R-3.2.5/tests'
running code in 'reg-tests-1a.R' ... OK
running code in 'reg-tests-1b.R' ... OK
running code in 'reg-tests-1c.R' ... OK
running code in 'reg-tests-2.R' ... OK
  comparing 'reg-tests-2.Rout' to './reg-tests-2.Rout.save' ...--- /tmp/RtmpbAPIfa/Rdiffa74c833946211
+++ /tmp/RtmpbAPIfa/Rdiffb74c81b874ad5
@@ -7339,7 +7339,7 @@
 > difftime(
 +     as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 12:00:00"), tz="EST5EDT"),
 +     as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 00:00:00"), tz="UTC"))
-[1]  4 16
+[1]  5 17
 > ## kept tzone from first arg.
 >
 >
Makefile.common:93: recipe for target 'reg-tests-2.Rout' failed
make[3]: *** [reg-tests-2.Rout] Error 1
make[3]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile.common:260: recipe for target 'test-Reg' failed
make[2]: *** [test-Reg] Error 2
make[2]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile.common:159: recipe for target 'test-all-basics' failed
make[1]: *** [test-all-basics] Error 1
make[1]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile:239: recipe for target 'check' failed
make: *** [check] Error 2

#######################################################################
Comment 1 Peter Dalgaard 2016-04-18 13:38:58 UTC
Please recheck with 3.2.5. This could be fallout from the random DST bug that was fixed there.
Comment 2 Nirosan 2016-04-19 02:26:26 UTC
(In reply to Peter Dalgaard from comment #1)
> Please recheck with 3.2.5. This could be fallout from the random DST bug
> that was fixed there.

Checked the 3.2.5 version as well, same error occurs.

#############Log#################

running regression tests ...
make[3]: Entering directory '/home/niro/test/R-3.2.5/tests'
running code in 'reg-tests-1a.R' ... OK
running code in 'reg-tests-1b.R' ... OK
running code in 'reg-tests-1c.R' ... OK
running code in 'reg-tests-2.R' ... OK
  comparing 'reg-tests-2.Rout' to './reg-tests-2.Rout.save' ...--- /tmp/RtmphGGBim/Rdiffa783213ddfbc7
+++ /tmp/RtmphGGBim/Rdiffb7832377aa79d
@@ -7339,7 +7339,7 @@
 > difftime(
 +     as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 12:00:00"), tz="EST5EDT"),
 +     as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 00:00:00"), tz="UTC"))
-[1]  4 16
+[1]  5 17
 > ## kept tzone from first arg.
 >
 >
Makefile.common:93: recipe for target 'reg-tests-2.Rout' failed
make[3]: *** [reg-tests-2.Rout] Error 1
make[3]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile.common:260: recipe for target 'test-Reg' failed
make[2]: *** [test-Reg] Error 2
make[2]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile.common:159: recipe for target 'test-all-basics' failed
make[1]: *** [test-all-basics] Error 1
make[1]: Leaving directory '/home/niro/test/R-3.2.5/tests'
Makefile:239: recipe for target 'check' failed
make: *** [check] Error 2

###########################################3
Comment 3 Peter Dalgaard 2016-04-19 07:19:48 UTC
Best guess is that your system has a warped sense of timezones (is the data base installed and up to date?).

Could you try this on the command line:

> as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 12:00:00"), tz="EST5EDT")
[1] "1970-01-01 00:00:00 EST" "1970-01-01 12:00:00 EST"
> as.numeric(.Last.value)
[1] 18000 61200
Comment 4 Nirosan 2016-04-19 09:26:25 UTC
Hi Peter,

Thank you. Should be the issue of tzdata being not up-to-date in the Alpine linux package management system. I tried with tzdata (2016b-r0) version but still got the error. 

Anyway I will try manually updating to the latest Time Zone Data v.2016d (Released 2016-04-17)

> as.POSIXct(c("1970-01-01 00:00:00", "1970-01-01 12:00:00"), tz="EST5EDT")
[1] "1970-01-01 00:00:00 EDT" "1970-01-01 12:00:00 EDT"
> as.numeric(.Last.value)
[1] 14400 57600
Comment 6 Peter Dalgaard 2016-04-19 13:17:33 UTC
As you may have noticed, the issue is that you get EDT, i.e. the system thinks that Daylight Savings Time was in effect on Jan 1 1970.
Comment 8 Brian Ripley 2016-04-19 13:25:40 UTC
From the intallation manual §2.7

'Option --with-internal-tzcode makes use of R’s own code and copy of the Olson database for managing timezones. This will be preferred where there are issues with the system implementation ...'

Has this been tried?
Comment 9 Nirosan 2016-04-21 04:38:43 UTC
Configure --with-internal-tzcode produces following Error,

###################Log#########################

running code in 'simple-true.R' ... OK
  comparing 'simple-true.Rout' to './simple-true.Rout.save' ...--- /tmp/RtmpdlHkjA/Rdiffa401d7c42af52
+++ /tmp/RtmpdlHkjA/Rdiffb401d301b9e21
@@ -228,13 +228,6 @@
 > ## bugs in R 1.2.0
 > format(as.POSIXct(relR120 <- "2000-12-15 11:24:40")) == relR120
 [1] TRUE
-Warning messages:
-1: In strptime(xx, f <- "%Y-%m-%d %H:%M:%OS", tz = tz) :
-  unknown timezone ''
-2: In strptime(xx, f <- "%Y-%m-%d %H:%M:%OS", tz = tz) :
-  unknown timezone 'GMT'
-3: In strptime(xx, f <- "%Y-%m-%d %H:%M:%OS", tz = tz) :
-  unknown timezone 'America/New_York'
 > format(as.POSIXct(substr(relR120,1,10))) == substr(relR120,1,10)
 [1] TRUE
 >
Makefile.common:93: recipe for target 'simple-true.Rout' failed
make[3]: *** [simple-true.Rout] Error 1
make[3]: Leaving directory '/home/builder/aports/testing/R/src/R-3.2.4/tests'
Makefile.common:180: recipe for target 'test-Specific' failed
make[2]: *** [test-Specific] Error 2
make[2]: Leaving directory '/home/builder/aports/testing/R/src/R-3.2.4/tests'
Makefile.common:159: recipe for target 'test-all-basics' failed
make[1]: *** [test-all-basics] Error 1